---
layout: post
title: "Fresh Mac Install"
date: 2012-08-20
comments: true
published: true
categories: [ruby]
---

The basics for installing a Mac for development, todo: automate.

<!--more-->

c compiler: Xcode (then open and chose to install command line tools) or https://github.com/kennethreitz/osx-gcc-installer/

Install Homebrew

fix permissions for homebrew: sudo chown -R `whoami` /usr/local

BREW

* gist
* wget
* ssh-copy-id
* nmap
* zsh
* mysql <- has some manual instructions
* postgres
* sqlite3
* git
* vim
* tmux
* ack
* ctags
* brew install macvim --override-system-vim --enable-clipboard
* imagemagick
* wkhtmltopdf (0.9.9)

OTHER

* rvm or rbenv
* dotfiles
* passwords
* Alfresco (Mac installer)

APPS

* Postbox
* SequalPro
* Chrome
* Flux
* Gitx
* HTTPClient
* HTTPScope
* iTerm2
* LimeChat
* RescueTime
* ShitIt
* Skitch
* Skype
* VirtualBox
* HipChat
* Propane
* OpenOffice

Also see: http://robots.thoughtbot.com/post/27985816073/the-hitchhikers-guide-to-riding-a-mountain-lion
